#GIT_CMT=1d618d16de6ef490f020d69f1fbbd1157962fee8
%global checkout c883a6b6 
%global firmware_nano_release 47

Name:		linux-nano-firmware
Version:	20160909
Release:    47.gitc883a6b6.0.6.el6
Summary:	Firmware files used by the Linux kernel

Group:		System Environment/Kernel
License:	GPL+ and GPLv2+ and MIT and Redistributable, no modification permitted
URL:		https://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/
# Source0 creation: "git archive --format=tar [gitid] | gzip > [srcdir]/%{name}-%{version}.tar.gz"
Source0: linux-nano-firmware-20160909.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Obsoletes:	kernel-ueknano-firmware
Obsoletes:	kernel-firmware
Obsoletes:	linux-firmware
Obsoletes:      ql23xx-firmware

%define _binaries_in_noarch_packages_terminate_build   0
%define _unpackaged_files_terminate_build 0
# We need to keep old fw blobs for backwards compat in RHEL.
# RPMDiff tool complained about old firmware going away as well,
# so here's where we're keeping them for now. Chelsio needs to
# remedy the situation with their upstream firmware tree updates
# removing old firmwares.
# Source1: cxgb4-old-fw.tar.bz2

%define fwdir /lib/firmware

%description
Linux-firmware includes firmware files required for some devices to
operate.

%prep
# Setup Source0 and additional Source1
%setup -q 

%build

# Fix up cxgb4 symlinks per bug 1262128
pushd cxgb4
rm -f t4fw.bin t5fw.bin
ln -s t4fw-1.15.37.0.bin t4fw.bin
ln -s t5fw-1.15.37.0.bin t5fw.bin
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{fwdir}
mkdir -p $RPM_BUILD_ROOT%{fwdir}/updates
cp -r * $RPM_BUILD_ROOT%{fwdir}

# Create file list but exclude firmwares that we place in subpackages
FILEDIR=`pwd`
pushd $RPM_BUILD_ROOT%{fwdir}
find . \! -type d > $FILEDIR/linux-firmware.files
find . -type d | sed -e '/^.$/d' > $FILEDIR/linux-firmware.dirs
popd
sed -i -e 's:^./::' linux-firmware.{files,dirs}
#sed -i -e '/^iwlwifi/d' \
#	linux-firmware.files
sed -i -e 's/^/\/lib\/firmware\//' linux-firmware.{files,dirs}
sed -e 's/^/%%dir /' linux-firmware.dirs >> linux-firmware.files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f linux-firmware.files
%defattr(-,root,root,-)
%dir %{fwdir}
%dir %{fwdir}/updates

%files
%defattr(-,root,root,-)

%changelog
* Fri Nov 11 2016 Ethan Zhao <ethan.zhao@oracle.com> - 20160909-47.gitc883a6b6.0.6.el6
- BUILDINFO: commit=1d618d16de6ef490f020d69f1fbbd1157962fee8
- spec: delete the line of provides linux-nano-firmware (Ethan Zhao)  

* Thu Nov 10 2016 Ethan Zhao <ethan.zhao@oracle.com> - 20160909-47.gitc883a6b6.0.5.el6
- BUILDINFO: commit=eca9cd1edfef2ab062577a6e7558be5015f36a5b
- Spec: Obselete QL23XXX package (Ethan Zhao)

* Fri Oct 14 2016 Ethan Zhao <ethan.zhao@oracle.com> - 20160909-47.gitc883a6b6.0.4.el6
- BUILDINFO: commit=487957f243e55f902e5a3be4f9d01acfadd01f60
- Spec: Obsolete kernel-ueknano-firmware and linux-firmware

* Fri Oct 14 2016 Ethan Zhao <ethan.zhao@oracle.com> - 20160909-47.gitc883a6b6.0.3
- Obsolete kernel-ueknano-firmware and linux-firmware (Orabug: 24668907).

* Fri Sep 30 2016 Ethan Zhao <ethan.zhao@oracle.com> - 20160909-47.gitc883a6b6.0.2
- Update script to merge kernel-ueknano-firmware and linux-firmware (Orabug: 24668907).
- Obsolete kernel-ueknano-firmware.

* Fri Sep 09 2016 Ethan Zhao <ethan.zhao@oracle.com> - 20160909-47.gitc883a6b6.0.1
- Cleanup all files not needed by Nano UEK kernel (Orabug: 24668907).
- Modify spec files to build linux-nano-firmware.

